@ECHO off

ECHO.
ECHO ************************************************************************
ECHO Elan Ultranav Driver for Windows 10 64bit -WW-
ECHO ************************************************************************
ECHO.

:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
    pushd "%CD%"
    CD /D "%~dp0"
:--------------------------------------

cd /d "%~dp0"

::Install four INF file
ECHO Installing Elan Input Device For WDF. Please wait...
PnpUtil.exe /add-driver .\ETD.inf /i

:installend
ECHO.
ECHO Restart to install driver completely after five seconds!!
ECHO.

set num=11
:slz
if %num% equ 0 (goto:restart) else set /a num-=1
echo If you want to restart later,just close Command Prompt before restart...
echo %num% seconds...
ping -n 2 127.0.1>nul 2>nul&cls
goto:slz

:restart
shutdown -r -f -t 0

:End
pause